Skip to main content
PUT
/
v1
/
alerts
/
{alertId}
Update alert
curl --request PUT \
  --url https://api.agentmark.co/v1/alerts/{alertId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <api-key>' \
  --data '
{
  "name": "<string>",
  "threshold": 123,
  "time_window": 52,
  "evaluation_name": "<string>",
  "use_slack": false,
  "use_webhook": false
}
'
{
  "data": {
    "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "commit_sha": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "evaluation_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "threshold": 123,
    "time_window": 123,
    "updated_at": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "use_slack": true,
    "use_webhook": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

alertId
string<uuid>
required

Body

application/json
metric
enum<string>
required
Available options:
error_rate,
latency,
cost,
evaluation_score
name
string
required
Required string length: 1 - 100
threshold
number
required
time_window
integer
required
Required range: 5 <= x <= 100
evaluation_aggregation
enum<string>
Available options:
avg,
individual
evaluation_name
string
Required string length: 1 - 255
evaluation_threshold_direction
enum<string>
Available options:
above,
below
use_slack
boolean
default:false
use_webhook
boolean
default:false

Response

Alert updated.

data
object
required